parameters:
    locale: en
    app_locales: ar|cs|de|de_CH|da|en|eo|es|eu|fr|he|hu|it|ja|ko|nl|pl|pt_BR|ro|ru|sk|sv|tr|vi|zh_CN

services:
    _defaults:
        public: true

    test.PasswordEncoder: "@security.encoder_factory"

    App\Configuration\SystemConfiguration:
        arguments: ['@App\Repository\ConfigurationRepository', "%kimai.config%"]

    App\Repository\ConfigurationRepository:
        class:     Doctrine\ORM\EntityRepository
        factory:   ['@doctrine.orm.entity_manager', getRepository]
        arguments: ['App\Entity\Configuration']

    # required for the importer command test
    App\Repository\UserRepository:
        class:     Doctrine\ORM\EntityRepository
        factory:   ['@doctrine.orm.entity_manager', getRepository]
        arguments: ['App\Entity\User']

    # required for the importer command test
    App\Importer\ImporterService:
        public: true
        arguments: ['@App\Customer\CustomerService', '@App\Project\ProjectService']

    App\User\UserService:
        public: true
        arguments: ['@App\Repository\UserRepository', '@event_dispatcher', '@validator', '@App\Configuration\SystemConfiguration', '@security.password_encoder']
